BasicNativeContentViewerUI
Keywords: javax.help.plaf.basic.BasicNativeContentViewerUI class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help.plaf.basic
Class BasicNativeContentViewerUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.help.plaf.HelpContentViewerUI
              javax.help.plaf.basic.BasicNativeContentViewerUI

All Implemented Interfaces:
  java.util.EventListener, HelpModelListener, java.beans.PropertyChangeListener, java.io.Serializable, TextHelpModelListener

public class BasicNativeContentViewerUI
extends HelpContentViewerUI
implements HelpModelListener, TextHelpModelListener, java.beans.PropertyChangeListener, java.io.Serializable

A native UI for JHelpContentViewer using the native browser.

See Also:
  Serialized Form

Constructor Summary
`BasicNativeContentViewerUI(JHelpContentViewer b)`

Method Summary
`static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent x)`
`java.awt.Dimension` | `getMaximumSize(javax.swing.JComponent c)`
`java.awt.Dimension` | `getMinimumSize(javax.swing.JComponent c)`
`java.awt.Dimension` | `getPreferredSize(javax.swing.JComponent c)`
`void` | `highlightsChanged(TextHelpModelEvent e)` Determines if highlights have changed.
`void` | `idChanged(HelpModelEvent e)` Tells the listener that the current ID in the HelpModel has changed.
`void` | `installUI(javax.swing.JComponent c)`
`void` | `propertyChange(java.beans.PropertyChangeEvent event)`
`void` | `uninstallUI(javax.swing.JComponent c)`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, paint, update`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicNativeContentViewerUI

    public BasicNativeContentViewerUI(JHelpContentViewer b)

Method Detail

### createUI

    public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent x)

### installUI

    public void installUI(javax.swing.JComponent c)

### uninstallUI

    public void uninstallUI(javax.swing.JComponent c)

### getPreferredSize

    public java.awt.Dimension getPreferredSize(javax.swing.JComponent c)

### getMinimumSize

    public java.awt.Dimension getMinimumSize(javax.swing.JComponent c)

### getMaximumSize

    public java.awt.Dimension getMaximumSize(javax.swing.JComponent c)

### idChanged

    public void idChanged(HelpModelEvent e)

  Description copied from interface: `HelpModelListener`
  Tells the listener that the current ID in the HelpModel has changed. All highlights from the previous location change at this point.

  Specified by:
    `idChanged` in interface `HelpModelListener`
  Parameters:
    `e` - The event

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent event)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### highlightsChanged

    public void highlightsChanged(TextHelpModelEvent e)

  Determines if highlights have changed. Collects all the highlights and marks the presentation.

  Specified by:
    `highlightsChanged` in interface `TextHelpModelListener`
  Parameters:
    `e` - The TextHelpModelEvent.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD